CHECKPC(8)

NAME
checkpc - check out the /etc/printcap database

SYNOPSIS
checkpc [ -aflrCPV ] [ -c configfile ] [ -A age[DHMS] ] [ -D debug ] [ -p printcap ] [ -c config ] [ printcap ]

DESCRIPTION
Checkpc is used to check for the existence and correct permissions of entries in the printcap database. It is useful when installing a new printcap database and cleaning up existing printer spoolers.

-a  Do not create accounting files if the fix option has been specified.

-c configfile
    Read the configuration from configfile.

-f  The fix flag will cause the checkpc program to try and fix various files and permissions. It does this in a simple minded manner, and the program may have to be run several times until all permissions are correct. It also reports its actions.

-l  Do not create log files if the fix option has been specified.

-p printcapfile
    Read the printcap information from printcapfile.

-r  remove junk files older than the age set by -A. You must set the age to a non-zero value otherwise no files are removed.

-s  Do not create printer status files if the fix option has been specified.

-A Age[DHMS]
    Report junk files older than age. The age time can have a suffix days (D) hours (H), minutes (M), or seconds (S); default is days.

-C  Print verbose configuration information. Useful if interested in the configuration or defaults.

-P  Print verbose printcap information. Useful if interested in the printcap values.

-V  Toggle verbose mode.

ANNOYING FEATURES
If the -f (fix) option is specified and you do not run this as root, it will complain, but attempt to carry out the operations. Usually the chown(5) will fail, but this is not serious.

FILES

The files used by LPRng are set by values in the printer configuration file. The following are a commonly used set of default values.
/etc/lpd.conf		LPRng configuration file
/etc/printcap		printer description file
/etc/lpd.perms	printer permissions
/var/spool/printer*		spool directories
/var/spool/printer*/printer	lock file for queue control
/var/spool/printer*/control.printer	queue control
/var/spool/printer*/active.printer	active job
/var/spool/printer*/log.printer	log file

SEE ALSO
lpd.conf(5), lpc(8), lpd(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.perms(5), pr(1).

DIAGNOSTICS
Most of the diagnostics are self explanatory.
If you are puzzled over the exact cause of failure,
set the debugging level on (-D5) and run again.
The debugging information will
help you to pinpoint the exact cause of failure.

HISTORY

LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. In 1988 Patrick Powell released the PLP (Public Line Printer) software, which went through several evolutions. Justin Mason (jmason@iona.ie) generated PLP4.0 from several older releases of PLP. In 1992 Patrick Powell release LPRng, a completely redesigned and newly written version of the software.

The LPRng mailing list is plp@iona.ie; subscribe by sending mail to plp-request@iona.ie with the word subscribe in the body. The software is available from ftp://iona.ie/pub/LPRng.

LPRng is distributed under the GNU software license for non-commercial use, the Artistic License for limited commercial use. Commerical support and licensing is available through Patrick Powell <papowell@sdsu.edu>.